%global provider        github
%global provider_tld    com
%global project         projectatomic
%global repo            oci-systemd-hook
# https://github.com/projectatomic/oci-systemd-hook
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global git0            https://github.com/projectatomic/oci-systemd-hook
%global commit0          e533efa74e87f1141ef9602225407383b2f66590
%global shortcommit0     %(c=%{commit0}; echo ${c:0:7})

Name:           %{repo}
Epoch:          1
Version:        0.1.7
Release:        4.git%{shortcommit0}%{?dist}
Summary:        OCI systemd hook for docker
Group:          Applications/Text
License:        GPLv3+
URL:            https://%{import_path}
Source0:        %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  git
BuildRequires:  pkgconfig(yajl)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(mount)
BuildRequires:  go-md2man
Obsoletes:      %{name} <= 1.10.3-46

%description
OCI systemd hooks enable running systemd in a OCI runc/docker container.

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
aclocal
autoreconf -i
%configure --libexecdir=%{_libexecdir}/oci/hooks.d/
make %{?_smp_mflags}

%install
%make_install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%doc README.md
%license LICENSE
%{_mandir}/man1/%{name}.1*
%dir %{_libexecdir}/oci
%dir %{_libexecdir}/oci/hooks.d
%{_libexecdir}/oci/hooks.d/%{name}

%changelog
* Wed Jun 14 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.7-4.gite533efa
- Resolves: 1460610, #1460613, #1437817
- built commit e533efa

* Mon Jun 05 2017 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.7-3.git4e2da8c
- rebase

* Thu Apr 06 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.7-2.git2788078
- Resolves: #1439382

* Wed Mar 29 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.7-1.gitfe22236
- rh-ulrich-o - Patch to allocate configData dynamically

* Mon Mar 6 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.6-1.git16f7c8a
- Reimplement systemd handling.
- Remove docker path from systemdhook

* Wed Feb 8 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.5-1.git16f7c8a
- Fix mounting of /var/log/journal inside of the container

* Thu Feb 2 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.4-10.git5db667f
- oci-systemd-hook: do not fail if /run/secrets does not exist
- Fix compiler -Wall -Wextra issues

* Thu Jan 12 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.4-9.git671c428
- Resolves: #1412728
- built commit 671c428

* Tue Dec 20 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-8.git45455fe
- Resolves: #1364237
- built commit 45455fe

* Tue Oct 25 2016 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.4-7.gita9c551a
- rebase

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-6.git337078c
- Resolves: #1355905
- built commit 337078c

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-5.git41491a3
- Obsoletes the subpackage earlier provided by docker

* Thu Jun 30 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-4.git41491a3
- Bump Epoch to 1 so that it can obsolete subpackage from docker

* Tue Jun 28 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-3.git41491a3
- re-add provider_prefix since gofed needs it

* Thu Jun 23 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-2.git41491a3
- built commit 41491a3
- spec file cleanup
- remove provider_prefix and only use import_path

* Thu Feb 18 2016 Dan Walsh <dwalsh@redhat.com> - 0.1.4-1.gitde345df
- Fix up to prepare for review

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.3
- Fix bug in man page installation

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.2
- Add man pages

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.1
- Initial RPM release
